Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class HtmlBrowser.Impl

    java.lang.Object
      org.openide.awt.HtmlBrowser.Impl

Enclosing class:
  HtmlBrowser

    public abstract static class HtmlBrowser.Impl

extends Object

This interface represents an implementation of html browser used in HtmlBrowser. Each BrowserImpl implementation corresponds with some BrowserFactory implementation.

Field Summary
`static String` | `PROP_BACKWARD` backward property name
`static String` | `PROP_FORWARD` forward property
`static String` | `PROP_HISTORY` history property name
`static String` | `PROP_STATUS_MESSAGE` The name of property representing status of html browser.
`static String` | `PROP_TITLE` Title property
`static String` | `PROP_URL` The name of property representing current URL.

Constructor Summary
`HtmlBrowser.Impl()`

Method Summary
`abstract void` | `addPropertyChangeListener(PropertyChangeListener l)` Adds PropertyChangeListener to this browser.
`abstract void` | `backward()` Moves the browser forward.
`abstract void` | `forward()` Moves the browser forward.
`abstract Component` | `getComponent()` Returns visual component of html browser.
`abstract String` | `getStatusMessage()` Returns status message representing status of html browser.
`abstract String` | `getTitle()` Returns title of the displayed page.
`abstract URL` | `getURL()` Returns current URL.
`abstract boolean` | `isBackward()` Is backward button enabled?
`abstract boolean` | `isForward()` Is forward button enabled?
`abstract boolean` | `isHistory()` Is history button enabled?
`abstract void` | `reloadDocument()` Reloads current html page.
`abstract void` | `removePropertyChangeListener(PropertyChangeListener l)` Removes PropertyChangeListener from this browser.
`abstract void` | `setURL(URL url)` Sets current URL.
`abstract void` | `showHistory()` Invoked when the history button is pressed.
`abstract void` | `stopLoading()` Stops loading of current html page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_STATUS_MESSAGE

    public static final String PROP_STATUS_MESSAGE

  The name of property representing status of html browser.

  See Also:
    Constant Field Values

### PROP_URL

    public static final String PROP_URL

  The name of property representing current URL.

  See Also:
    Constant Field Values

### PROP_TITLE

    public static final String PROP_TITLE

  Title property

  See Also:
    Constant Field Values

### PROP_FORWARD

    public static final String PROP_FORWARD

  forward property

  See Also:
    Constant Field Values

### PROP_BACKWARD

    public static final String PROP_BACKWARD

  backward property name

  See Also:
    Constant Field Values

### PROP_HISTORY

    public static final String PROP_HISTORY

  history property name

  See Also:
    Constant Field Values

Constructor Detail

### HtmlBrowser.Impl

    public HtmlBrowser.Impl()

Method Detail

### getComponent

    public abstract Component getComponent()

  Returns visual component of html browser.

  Returns:
    visual component of html browser.

### reloadDocument

    public abstract void reloadDocument()

  Reloads current html page.

### stopLoading

    public abstract void stopLoading()

  Stops loading of current html page.

### setURL

    public abstract void setURL(URL url)

  Sets current URL.

  Parameters:
    `url` - URL to show in the browser.

### getURL

    public abstract URL getURL()

  Returns current URL.

  Returns:
    current URL.

### getStatusMessage

    public abstract String getStatusMessage()

  Returns status message representing status of html browser.

  Returns:
    status message.

### getTitle

    public abstract String getTitle()

  Returns title of the displayed page.

  Returns:
    title

### isForward

    public abstract boolean isForward()

  Is forward button enabled?

  Returns:
    true if it is

### forward

    public abstract void forward()

  Moves the browser forward. Failure is ignored.

### isBackward

    public abstract boolean isBackward()

  Is backward button enabled?

  Returns:
    true if it is

### backward

    public abstract void backward()

  Moves the browser forward. Failure is ignored.

### isHistory

    public abstract boolean isHistory()

  Is history button enabled?

  Returns:
    true if it is

### showHistory

    public abstract void showHistory()

  Invoked when the history button is pressed.

### addPropertyChangeListener

    public abstract void addPropertyChangeListener(PropertyChangeListener l)

  Adds PropertyChangeListener to this browser.

  Parameters:
    `l` - Listener to add.

### removePropertyChangeListener

    public abstract void removePropertyChangeListener(PropertyChangeListener l)

  Removes PropertyChangeListener from this browser.

  Parameters:
    `l` - Listener to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.